Creative Variants
LOC/WHT/ADPT/RSZ cards already derived from any of these origins — the task form uses this to warn on (or block) a language/geo/platform/aspect ratio the origin already has a variant for.
GET
/api/v1/creatives/variantsAuthorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredQuery parameters
origin_idsstring[]requiredorigins to list existing LOC/WHT/ADPT/RSZ siblings for
max items 50
Responses
200Successful Response
successbooleandefault: true
dataCreativeVariant[] | anyShow propertiesHide properties
Any of:
CreativeVariant[]
Array of
CreativeVariantidstringrequirednamestringrequiredorigin_idstringrequiredtask_idstringrequiredtask_typeTaskTyperequiredAllowed:
NEWVARLOCWHTNEWDESVARDESDESCLNVARAIADPTRSZsourceSource | anyShow propertiesHide properties
Any of:
Source
stringany
anygeoGeo | anyShow propertiesHide properties
Any of:
Geo
stringany
anylanguageLanguage | anyShow propertiesHide properties
Any of:
Language
stringany
anyresolutionResolution | anyShow propertiesHide properties
Any of:
Resolution
stringany
anyin_work_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyassignee_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anytask_owner_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "/api/v1/creatives/variants?origin_ids=string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/creatives/variants?origin_ids=string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/creatives/variants?origin_ids=string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": [
{
"id": "string",
"name": "string",
"origin_id": "string",
"task_id": "string",
"task_type": "NEW",
"source": "META",
"geo": "US",
"language": "EN",
"resolution": "1080x1920",
"in_work_at": "2019-08-24T14:15:22Z",
"assignee_id": "string",
"task_owner_id": "string"
}
],
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}